※本サイトはプロモーションが含まれています

WordPress

Local by Flywheel をアップデートしようとしたらエラーが出た。

この記事は

  • Local by Flywheel をアップデートしたら「Error while Updating」と書いてあるエラーが出たけど、対処方法が分からない!
  • Local by Flywheel のエラーを調べてみたら、英語ばっかりで困惑している…
  • そもそもエラーの原因って何?公式はどう反応しているの?

について書いています。

この記事は、Local by Flywheel (通称:Local、Local.app)を利用した時に出たエラーについて書いています。

あやおり子

この記事の作者は、WEBデザイナーとしてWordPressをカスタマイズして5年目になります。

症状

久しぶりにWordPressでなにか作るために「Local by Flywheel 」を起動し、アップデートをしたらエラーが表示されました。

Error while Updating

Code signature at URL file:///Users/…(省略)…/Local.app/ did not pass validation: コードは指定されたコード要件を満たしていません

再起動して再びアップデートをしても、同じエラーが表示されます。

Local by Flywheelのエラーが生じた環境

参考として、エラーが生じた環境はこちらになります。

  • 2023年2月12日にエラーが起こる
  • MacBook Air (M1, 2020)
  • macOS Monterey バージョン12.2.1

Local by Flywheelのエラーの対処法

一時的な対処法かもしれませんが、公式から最新版をダウンロードすることで、エラーが表示されなくなりました。

ダウンロードしたファイルをApplicationsに移動させると「置き換えますか?」とアラートが表示されるので、「置き換える」を選択してください。

アプリ内のファイルが更新されるだけで、データが消えることはないです。

Local by Flywheelのエラーの原因と参考記事

Local by Flywheelの公式コミュニティに不具合報告されていました。

この原因については開発者も認識済みのようでして、日本語に翻訳すると以下のように回答しております。

アプリの署名証明書の署名者を Flywheel から WP Engine に更新したら、MacOS上でアップデートを受けつけてもらえなくなりました。

意図的に署名者を変更したことを、Appleに教える方法を模索中です。

公式も対処法に困っているようですね。

公式も、公式サイトから再度ダウンロードすることをオススメしていますので、エラーが出たら公式サイトからダウンロードしましょう。

ABOUT ME
あやおり子
特技はプログラミングのWEBデザイナーです。 WEB制作会社に勤めていた経験を生かして、 ちょっとマニアックな記事を作成しています。